TemporalPoint (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.time
Class TemporalPoint

    java.lang.Object
      com.bbn.openmap.omGraphics.time.TemporalPoint

All Implemented Interfaces:
  TemporalRecord

    public class TemporalPoint

extends java.lang.Object
implements TemporalRecord

A TemporalPoint is a representation of something occurring at a location and time. The time is expected to be millisecond offsets from some starting time.

Field Summary
`protected java.awt.geom.Point2D` | `location`
`protected long` | `time`

Constructor Summary
`TemporalPoint(java.awt.geom.Point2D location, long t)` Create a TimeStamp to be used as a position by ScenarioPoints.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this Comparator.
`java.awt.geom.Point2D` | `getLocation()`
`long` | `getTime()`
`int` | `hashCode()`
`void` | `setLocation(java.awt.geom.Point2D loc)`
`void` | `setTime(long t)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### location

    protected java.awt.geom.Point2D location

### time

    protected long time

Constructor Detail

### TemporalPoint

    public TemporalPoint(java.awt.geom.Point2D location,
                         long t)

  Create a TimeStamp to be used as a position by ScenarioPoints.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setTime

    public void setTime(long t)

  Specified by:
    `setTime` in interface `TemporalRecord`

### getTime

    public long getTime()

  Specified by:
    `getTime` in interface `TemporalRecord`

### setLocation

    public void setLocation(java.awt.geom.Point2D loc)

### getLocation

    public java.awt.geom.Point2D getLocation()

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this Comparator. Assumes that the other object is a TimeStamp object. Compares time fields.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details